Altimax\Apidae\Core\Entity\SitraAdminFacetingGroupeObjet:
  type: entity
  table: sitra_admin_faceting_groupe_objet
  repositoryClass: Altimax\Apidae\Core\Repository\SitraAdminFacetingGroupeObjet
  id:
    id:
      type: integer
      nullable: false
      unsigned: false
      comment: ''
      id: true
      generator:
        strategy: IDENTITY
  fields:
    libelle:
      type: string
      nullable: false
      length: 255
      fixed: false
      comment: ''
  manyToMany:
    typeObjet:
      targetEntity: Altimax\Apidae\Core\Entity\SitraAdminTypeObjet
      inversedBy: groupeObjet
      fetch: EXTRA_LAZY
      joinTable:
        name: sitra_admin_liaison_typeobjet_groupeobjet
        joinColumns:
          groupeobjet_id:
            referencedColumnName: id
            onDelete: CASCADE
        inverseJoinColumns:
          typeobjet_id:
            referencedColumnName: id
            onDelete: CASCADE
    widget:
      targetEntity: Altimax\Apidae\Core\Entity\SitraAdminFacetingWidget
      inversedBy: groupeObjet
      joinTable:
        name: sitra_admin_liaison_widget_groupeobjet
        joinColumns:
          groupeobjet_id:
            referencedColumnName: id
            onDelete: CASCADE
        inverseJoinColumns:
          widget_id:
            referencedColumnName: id
            onDelete: CASCADE
  lifecycleCallbacks: {  }